Subject: Re: [ANNOUNCE] Git v2.0.0-rc4

From: Junio C Hamano <[email-masked]>
Date: Wed, 21 May 2014 14:48:38 -0700

Richard Hansen <[email-masked]> writes:

>>  * The shell prompt script (in contrib/), when using the PROMPT_COMMAND
>>    interface, used an unsafe construct when showing the branch name in
>>    $PS1.
>>    (merge 8976500 rh/prompt-pcmode-avoid-eval-on-refname later to maint).
>
> That commit has been merged to maint and is in v1.9.3.
>
> Also, 1e4119c (git-prompt.sh: don't assume the shell expands the value
> of PS1) is a fix that is in v2.0.0-rc4 but not v1.9.x.  Maybe add
> something like:
>
>  * The shell prompt script (in contrib/), when using Zsh and the
>    precmd() interface, printed ${__git_ps1_branch_name} in the prompt
>    instead of the branch name (regression in v1.9.3).
>    (merge 1e4119c rh/prompt-pcmode-avoid-eval-on-refname later to
>    maint).

Yes, already done this morning but not yet ready to be pushed out.

Thanks.